## autopkgtest 5.8

=== debian/changelog ===
autopkgtest (5.8) unstable; urgency=medium

  [ Simon McVittie ]
  * qemu: Use socket.sendall() to push text into AF_UNIX sockets

  [ Niko Tyni ]
  * Ensure that autocleaned TempPath file names are unique (Closes:
    #916499)

  [ Thadeu Lima de Souza Cascardo ]
  * qemu: close sockets after being done with them (Closes: #916428)

  [ Iain Lane ]
  * runner: Fix sed command for escaping special characters in package
    names

  [ Julian Andres Klode ]
  * Minor fixes for the lxd test.
    Thanks to Stéphane Graber <stgraber@ubuntu.com>

 -- Paul Gevers <elbrus@debian.org>  Thu, 10 Jan 2019 18:33:45 +0100

## autopkgtest 5.10~bpo9+1

=== debian/changelog ===
autopkgtest (5.10~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Mar 2019 13:11:54 +0100

autopkgtest (5.10) unstable; urgency=medium

  * autopkgtest-build-qemu: use UUID in fstab (Closes: #922671)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 25 Feb 2019 11:05:15 -0300

autopkgtest (5.9) unstable; urgency=medium

  [ Iain Lane ]
  * Add spaces around "[ trusted=yes ]"

  [ Antonio Terceiro ]
  * autopkgtest-build-qemu: document ARCHITECTURE parameter
  * autopkgtest-build-qemu: call user script directly
  * autopkgtest-build-qemu: create fstab (Closes: #916407)
  * autopkgtest-build-qemu: fix setup of APT proxy
  * autopkgtest-build-qemu: update to work with newer vmdb2
    (Closes: #922501)

  [ Christian Kastner ]
  * autopkgtest-build-lxc: lxc/default.conf: lxc.network.type is now
    lxc.net.0.type (Closes: #922171)


 -- Antonio Terceiro <terceiro@debian.org>  Mon, 18 Feb 2019 22:48:48 -0300

## autopkgtest 5.10

=== debian/control ===
Source: autopkgtest
Maintainer: Debian CI team <team+ci@tracker.debian.org>
Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>, Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 9),
 python3 (>= 3.1),
 python3-mock,
 python3-debian,
 python3-docutils,
 pyflakes3 | pyflakes,
 procps,
 pycodestyle | pep8,
Vcs-Git: https://salsa.debian.org/ci-team/autopkgtest.git
Vcs-Browser: https://salsa.debian.org/ci-team/autopkgtest

Package: autopkgtest
Architecture: all
Depends: python3,
 python3-debian,
 apt-utils,
 libdpkg-perl,
 procps,
 ${misc:Depends}
Recommends: autodep8
Suggests:
 lxc,
 lxd,
 ovmf,
 qemu-efi-aarch64,
 qemu-efi-arm,
 qemu-system,
 qemu-utils,
 schroot,
 vmdb2,
Breaks: debci (<< 1.7~)
Description: automatic as-installed testing for Debian packages
 autopkgtest runs tests on binary packages.  The tests are run on the
 package as installed on a testbed system (which may be found via a
 virtualisation or containment system).  The tests are expected to be
 supplied in the corresponding Debian source package.
 .
 See autopkgtest(1) and /usr/share/doc/autopkgtest.
 Depending on which virtualization server you want to use, you need to
 install additional packages (schroot, lxc, lxd, or qemu-system)
 .
 For generating tests of well-known source packages such as Perl and Ruby
 libraries you should install the autodep8 package.

=== debian/tests/control ===
Tests: autopkgtest
Depends: autopkgtest,
 autodep8,
 build-essential,
 debhelper (>= 7)
Restrictions: needs-root
Tests-Directory: tests

Tests: pyflakes
Depends: pyflakes
Tests-Directory: tests

Tests: installed
Depends: autopkgtest

Tests: lxd
Depends: autopkgtest,
 lxd,
 build-essential,
 debhelper (>= 7),
 fakeroot,
 iptables
Restrictions: isolation-machine, needs-root, allow-stderr

## autopkgtest 5.10ubuntu1

=== debian/changelog ===
autopkgtest (5.10ubuntu1) disco; urgency=medium

  * tools/autopkgtest-buildvm-ubuntu-cloud:
    autopkgtest-buildvm-ubuntu-cloud: work with precise and trusty.
    they aren't dead yet! (LP: #1822331)

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 29 Mar 2019 10:19:18 -0400

## autopkgtest 5.10ubuntu1.1

=== debian/changelog ===
autopkgtest (5.10ubuntu1.1) disco; urgency=medium

  * tools/autopkgtest-build-lxd: pass /dev/null on stdin to lxc launch
    (LP: #1845037)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 26 Sep 2019 08:48:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>, Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>
 Section: devel
 Priority: optional

## autopkgtest 5.10ubuntu2

=== debian/changelog ===
autopkgtest (5.10ubuntu2) eoan; urgency=medium

  * tools/autopkgtest-build-lxd: pass /dev/null on stdin to lxc launch
    (LP: #1845037)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 26 Sep 2019 08:48:21 -0400

## autopkgtest 5.10+nmu1

=== debian/changelog ===
autopkgtest (5.10+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:25:48 +0800

## autopkgtest 5.11

=== debian/changelog ===
autopkgtest (5.11) unstable; urgency=medium

  [ Dan Streetman ]
  * autopkgtest-buildvm-ubuntu-cloud: work with precise and trusty
    (LP: #1822331) (Closes: #925966)

  [ Sébastien Delafond ]
  * Add an optional 6th parameter to autopkgtest-build-qemu, to force a
    specific image size

  [ Julian Andres Klode ]
  * ssh-setup/nova: Run nova show after console-log in debug_failure

  [ Iain Lane ]
  * setup-testbed: Add the -security pocket for Ubuntu releases
  * nova: Use glanceclient to find images
  * nova: --key_name is actually --key-name
  * setup-testbed: Write preserve_sources_list in the new format
  * nova: trim whitespace from server UUID

  [ Simon McVittie ]
  * autopkgtest-build-qemu: Parse named parameters
  * autopkgtest-build-qemu: Allow overriding apt proxy via command-line

  [ Simon McVittie ]
  * testdesc: Report each unsupported test individually (Closes: #851232)
  * setup-testbed: Provide more options for handling /etc/apt/sources.list
    (Closes: #933062)

  [ Dan Streetman ]
  * ssh-setup/nova: allow specifying --image with name or uuid

  [ Valentin Vidic ]
  * autopkgtest-virt-lxc: accept lxc arguments for ephemeral containers

  [ Michael Biebl ]
  * Use virtio-rng to passthrough RNG to qemu runner and drop haveged

  [ Raphaël Hertzog ]
  * qemu: Forward VM's ssh port only to localhost (Closes: #931219)

 -- Paul Gevers <elbrus@debian.org>  Thu, 05 Sep 2019 09:32:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: autopkgtest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>, Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.1
+Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 9),
  python3 (>= 3.1),
  python3-mock,

## autopkgtest 5.11ubuntu1

=== Makefile ===
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

prefix =	/usr
share =		$(DESTDIR)$(prefix)/share
bindir =	$(DESTDIR)$(prefix)/bin
man1dir =	$(share)/man/man1
pkgname =	autopkgtest
docdir =	$(share)/doc/$(pkgname)
datadir =	$(share)/$(pkgname)
pythondir = 	$(datadir)/lib

INSTALL =	install
INSTALL_DIRS =	$(INSTALL) -d
INSTALL_PROG =	$(INSTALL) -m 0755
INSTALL_DATA =	$(INSTALL) -m 0644

virts =		chroot \
		lxc \
		lxd \
		null \
		qemu \
		schroot \
		ssh \
		$(NULL)

programs =	tools/autopkgtest-buildvm-ubuntu-cloud \
		tools/autopkgtest-build-lxc \
		tools/autopkgtest-build-lxd \
		tools/autopkgtest-build-qemu \
		runner/autopkgtest \
		$(NULL)

pythonfiles =	lib/VirtSubproc.py \
		lib/adtlog.py \
		lib/autopkgtest_args.py \
		lib/adt_testbed.py \
		lib/adt_binaries.py \
		lib/testdesc.py \
		$(NULL)

rstfiles =	$(wildcard doc/*.rst)
htmlfiles =	$(patsubst %.rst,%.html,$(rstfiles))

%.html: %.rst
	rst2html -v $< > $@

all: $(htmlfiles)

install:
	$(INSTALL_DIRS) $(bindir) $(docdir) $(man1dir) $(pythondir) $(datadir)/setup-commands $(datadir)/ssh-setup
	set -e; for f in $(programs); do \
		$(INSTALL_PROG) $$f $(bindir); \
		test ! -f $$f.1 || $(INSTALL_DATA) $$f.1 $(man1dir); \
		done
	set -e; for f in $(virts); do \
		$(INSTALL_PROG) virt/autopkgtest-virt-$$f $(bindir); \
		$(INSTALL_DATA) virt/autopkgtest-virt-$${f}.1 $(man1dir); \
		done
	$(INSTALL_DATA) $(pythonfiles) $(pythondir)
	$(INSTALL_DATA) CREDITS $(docdir)
	$(INSTALL_DATA) $(rstfiles) $(htmlfiles) $(docdir)
	$(INSTALL_PROG) setup-commands/*[!~] $(datadir)/setup-commands
	$(INSTALL_PROG) ssh-setup/[a-z]*[!~] $(datadir)/ssh-setup
	$(INSTALL_DATA) ssh-setup/SKELETON $(datadir)/ssh-setup

clean:
	rm -f */*.pyc
	rm -f $(htmlfiles)

=== debian/changelog ===
autopkgtest (5.11ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - tools/autopkgtest-build-lxd: pass /dev/null on stdin to lxc launch 
      (LP: #1845037)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 28 Jan 2020 12:45:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>, Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>
 Section: devel
 Priority: optional

=== debian/rules ===
#!/usr/bin/make -f
#
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

include /usr/share/dpkg/pkg-info.mk

%:
	dh "$@"

override_dh_auto_install:
	dh_auto_install

	# put our package version into the code for logging
	sed -i 's/@version@/$(DEB_VERSION)/' debian/autopkgtest/usr/share/autopkgtest/lib/adt_testbed.py

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	if type pyflakes3 >/dev/null 2>&1; then tests/pyflakes; else echo "pyflakes3 not available, skipping"; fi
	tests/pycodestyle || true
	tests/testdesc
	tests/autopkgtest_args
	env NO_PKG_MANGLE=1 tests/autopkgtest NullRunner
endif

## autopkgtest 5.11ubuntu1.1

=== debian/changelog ===
autopkgtest (5.11ubuntu1.1) focal; urgency=medium

  * setup-testbed: Set Always-Include-Phased-Updates for apt (LP: #1934100)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 30 Jun 2021 10:37:39 +0200

## autopkgtest 5.13.1

=== debian/changelog ===
autopkgtest (5.13.1) unstable; urgency=medium

  * autopkgtest-build-qemu: revert commit that broke image creation
    (Closes: #956659)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 17 Apr 2020 22:02:07 -0300

autopkgtest (5.13) unstable; urgency=medium

  [ Gordon Ball ]
  * Use pyflakes3 instead of pyflakes (Closes: #956338)

  [ Paul Gevers ]
  * Add support for needs-internet restriction
  * Add note about ftp-master ruling (Closes: #954157)
  * README.package-tests.rst: add documentation about needs-internet
    restriction
  * Update 5.12 changelog entry with bug number for qemu on ppc64el item

 -- Paul Gevers <elbrus@debian.org>  Thu, 16 Apr 2020 21:07:58 +0200

autopkgtest (5.12.1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * adt_testbed: ignore debian/control when checking for dependencies. This
    fixes a regression observed in the debci test suite.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 04 Apr 2020 12:20:17 -0300

autopkgtest (5.12) unstable; urgency=medium

  [ Dan Streetman ]
  * tools/autopkgtest-build-lxd: pass /dev/null on stdin to lxc launch
    (LP: #1845037)
  * autopkgtest: When finding src pkg, skip binary pkgs for other archs
    (LP: #1845157) (Closes: #939790)
  * autopkgtest: when checking binary pkg arch, allow *-$ARCH-* values also

  [ Antonio Terceiro ]
  * Drop unpacking of dependencies to temporary dir

  [ Iain Lane ]
  * setup-testbed: Install rng-tools
  * lib/adt_testbed.py, runner/autopkgtest: Run --shell-fail in more situations
  * adt_testbed: Run the debug-fail command in more circumstances

  [ Sébastien Delafond ]
  * Add kali support

  [ Simon McVittie ]
  * lxd: Actually exit the awk loop after the first apt source
  * build-lxd: Quote MIRROR and RELEASE properly
  * d/README.source: Document how to test various backends

  [ Paul Gevers ]
  * adt_testbed.py: add date to the start of log so we always have it
    (Closes: #954366)
  * Do not ignore distributions that have dashes in their name
  * lxc/lxd: wait for sysvinit services to finish
    Thanks to Lars Kruse (Closes: #953655)
  * lxc: increase timeout around reboot
  * tests/lxd: add skip-not-installable (Closes: #952594)

  [ Jelmer Vernooĳ ]
  * Document that $HOME will exist and will be writeable.

  [ Thierry Fauck ]
  * autopkgtest-build-qemu: create primary partition of type Prep to
    support ppc64el with grub2 (Closes: #926945)
  * Add proper kernel release name for ppc64el

 -- Paul Gevers <elbrus@debian.org>  Thu, 02 Apr 2020 10:36:09 +0200

=== debian/control ===
Source: autopkgtest
Maintainer: Debian CI team <team+ci@tracker.debian.org>
Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
           Martin Pitt <mpitt@debian.org>,
           Antonio Terceiro <terceiro@debian.org>,
           Paul Gevers <elbrus@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 9),
               procps,
               pycodestyle | pep8,
               pyflakes3,
               python3 (>= 3.1),
               python3-debian,
               python3-docutils,
               python3-mock
Vcs-Git: https://salsa.debian.org/ci-team/autopkgtest.git
Vcs-Browser: https://salsa.debian.org/ci-team/autopkgtest

Package: autopkgtest
Architecture: all
Depends: apt-utils,
         libdpkg-perl,
         procps,
         python3,
         python3-debian,
         ${misc:Depends}
Recommends: autodep8
Suggests: lxc,
          lxd,
          ovmf,
          qemu-efi-aarch64,
          qemu-efi-arm,
          qemu-system,
          qemu-utils,
          schroot,
          vmdb2
Breaks: debci (<< 1.7~)
Description: automatic as-installed testing for Debian packages
 autopkgtest runs tests on binary packages.  The tests are run on the
 package as installed on a testbed system (which may be found via a
 virtualisation or containment system).  The tests are expected to be
 supplied in the corresponding Debian source package.
 .
 See autopkgtest(1) and /usr/share/doc/autopkgtest.
 Depending on which virtualization server you want to use, you need to
 install additional packages (schroot, lxc, lxd, or qemu-system)
 .
 For generating tests of well-known source packages such as Perl and Ruby
 libraries you should install the autodep8 package.

=== debian/tests/control ===
Tests: autopkgtest
Depends: autodep8, autopkgtest, build-essential, debhelper (>= 7)
Restrictions: needs-root
Tests-Directory: tests

Tests: pyflakes
Depends: pyflakes3
Tests-Directory: tests

Tests: installed
Depends: autopkgtest

Tests: lxd
Depends: autopkgtest,
         build-essential,
         debhelper (>= 7),
         fakeroot,
         iptables,
         lxd
Restrictions: isolation-machine, needs-root, allow-stderr, skip-not-installable

## autopkgtest 5.15

=== debian/changelog ===
autopkgtest (5.15) unstable; urgency=medium

  [ Sebastien Delafond ]
  * Remove left over .new containers before trying to generate a new one
    (Closes: #971749)

  [ Antonio Terceiro ]
  * virt-lxc: extract common initial argument list for lxc-copy
  * virt-lxc: add option to limit disk usage by tests

  [ Paul Gevers ]
  * tests/lxd: mark test skippable and exit 77 in stead of 0 in case of
    balling-out
  * Add support for Architecture field (Closes: #970513)
  * Check for empty Tests field (Closes: #918882)
  * With --test-name, don't report when other tests are skipped
    (Closes: #960267)

  [ Simon McVittie ]
  * Check restrictions with testbed compat, not during initialization
  * Allow restrictions to be ignored from the command line

  [ Ivo De Decker ]
  * Assume root-on-testbed with autopkgtest-virt-ssh and improve debugging
    (Closes: #958727)

 -- Paul Gevers <elbrus@debian.org>  Mon, 26 Oct 2020 21:27:25 +0100

autopkgtest (5.14) unstable; urgency=medium

  [ Christian Kastner ]
  * autopkgtest-build-qemu: Support for vmdb2->qemu-debootstrap
    (Closes: #959389)

  [ Antonio Terceiro ]
  * autopkgtest-build-qemu: make sure VM can resolve its own hostname
    (Closes: #959713)
  * autopkgtest: add --validate option

  [ Iain Lane ]
  * autopkgtest-virt-ssh: Give the wait_port_down socket a timeout

  [ Simon McVittie ]
  * Avoid using 'l' as a variable name
  * qemu: Guess format of main disk image (Closes: #968598)
  * tools: Don't make qemu guess what format the disk image is

  [ Paul Gevers ]
  * Bump standards
  * Bump debhelper compat to 13 via debhelper-compat BD
  * Add Rules-Requires-Root: no
  * Drop postinst script as all supported releases have higher versions

 -- Paul Gevers <elbrus@debian.org>  Tue, 01 Sep 2020 21:28:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
            Paul Gevers <elbrus@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
                procps,
                pycodestyle | pep8,
                pyflakes3,
@@ -15,6 +15,7 @@
                python3-debian,
                python3-docutils,
                python3-mock
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ci-team/autopkgtest.git
 Vcs-Browser: https://salsa.debian.org/ci-team/autopkgtest

## autopkgtest 5.16

=== tests/testclick/CMakeLists.txt ===
project(com.example.testclick)
cmake_minimum_required(VERSION 2.8.9)

# Standard install paths
include(GNUInstallDirs)

set(CMAKE_INSTALL_PREFIX /)
set(CMAKE_INSTALL_BINDIR /)
set(DATA_DIR /)

install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/bin/hello_click
	DESTINATION ${CMAKE_INSTALL_BINDIR})

add_subdirectory(click)

=== debian/changelog ===
autopkgtest (5.16) unstable; urgency=medium

  [ Paul Gevers ]
  * Fix reported arch in Unsupported message

  [ Simon McVittie ]
  * tests/ssh-setup-lxd: Fix a typo
  * shell scripts: Quote more defensively
  * tests/pycodestyle: Prefer command -v instead of which
  * shell scripts: Prefer $() instead of backticks
  * setup-testbed: Avoid test -a
  * setup-testbed: Silence some shellcheck false-positives
  * setup-testbed: Be more careful with printf
  * setup-testbed: Ensure that $proxy is always initialized
  * setup-testbed: Prefer POSIX grep -E over GNU-specific egrep
  * setup-testbed: Quote trap command differently
  * tests: Add shellcheck test
  * tests: Silence some mypy warnings
  * tests: Add test that runs mypy across the codebase
  * d/copyright: Update
  * Use shlex.quote in preference to undocumented pipes.quote

  [ Ryutaroh Matsumoto ]
  * autopkgtest-build-qemu: Install a PAE kernel on i386 (Closes: #973662)
  * autopkgtest-build-qemu: Install LPAE kernel on armhf (Closes: #973592)

  [ Simon McVittie ]
  * lib: Factor out qemu virtual machine setup
  * autopkgtest_qemu: Add QemuImage objects
  * buildvm-ubuntu-cloud: Use Qemu object
  * autopkgtest-build-qemu: Rewrite in Python
  * autopkgtest-buildvm-ubuntu-cloud: Make return of None explicit
  * autopkgtest-buildvm-ubuntu-cloud: Fail if release cannot be determined
  * autopkgtest-buildvm-ubuntu-cloud: Replace which(1) with shutil.which
  * autopkgtest_qemu: Set workdir before preparing overlay

  [ Ryutaroh Matsumoto ]
  * qemu: Forward stdout, stderr to stderr of parent process
  * qemu: Extend timeout for checking python availability
  * qemu: Enable discard operation on virtio disk devices

  [ Simon McVittie ]
  * qemu: Allow passing `uname -m` output to get_default_qemu_command
  * tests: Add a unit test for qemu library code
  * qemu: Select qemu-system-arm for ARM CPUs

  [ Graham Inggs ]
  * autpkgtest_args: autoremove after dist-upgrade

  [ Balint Reczey ]
  * Handle exception thrown by create_testinfo() (Closes: #927146)
    (LP: #1907803)

  [ Sébastien Delafond ]
  * virt-lxc: attempt to cleanly shutdown the container first, and only
    then pass --force to lxc-destroy (Closes: #979238)

 -- Paul Gevers <elbrus@debian.org>  Sun, 24 Jan 2021 21:15:20 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                procps,
                pycodestyle | pep8,
                pyflakes3,
-               python3 (>= 3.1),
+               python3 (>= 3.3),
                python3-debian,
                python3-docutils,
                python3-mock

## autopkgtest 5.16ubuntu0.1

=== debian/changelog ===
autopkgtest (5.16ubuntu0.1) hirsute; urgency=medium

  * setup-testbed: Set Always-Include-Phased-Updates for apt (LP: #1934100)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 30 Jun 2021 10:35:01 +0200

## autopkgtest 5.16ubuntu1

=== debian/changelog ===
autopkgtest (5.16ubuntu1) impish; urgency=medium

  * setup-testbed: Set Always-Include-Phased-Updates for apt (LP: #1934100)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 30 Jun 2021 10:32:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: autopkgtest
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
            Martin Pitt <mpitt@debian.org>,
            Antonio Terceiro <terceiro@debian.org>,

## autopkgtest 5.16ubuntu2

=== debian/changelog ===
autopkgtest (5.16ubuntu2) impish; urgency=medium

  * Force xz compression for satdep.deb to support testing on Debian
    environments (LP: #1947810)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 15 Dec 2021 12:58:11 -0300

## autopkgtest 5.18

=== debian/changelog ===
autopkgtest (5.18) unstable; urgency=medium

  [ Romain Porte ]
  * Fix qemu deprecation warnings for short-form booleans (Closes: #996705)

  [ Brian Murray ]
  * Add support for building VMs of End of Life ubuntu releases.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 13 Nov 2021 11:44:27 -0300

autopkgtest (5.17) unstable; urgency=medium

  [ Ryutaroh Matsumoto ]
  * Use 32-bit OVMF EFI firmware for qemu-system-i386 (Closes: #973522)
  * qemu: Explicitly assign unit numbers for pflash devices

  [ Iain Lane ]
  * lxd: Fix a race condition while rebooting
  * buildvm-ubuntu-cloud: Update for compatibility with other changes
    mentioned below
  * ssh-setup/nova: Quote arguments to `tr`

  [ Simon McVittie ]
  * VirtSubproc: Allow expecting multiple options
  * virt-qemu: Cope with passwordless shell (blank password)
  * virt-qemu: Don't rely on exiting from a shell printing "logout"
  * virt-qemu: Preseed debconf questions so we can upgrade grub-pc, if
    installed (Closes: #982296)
  * virt-qemu: Add --qemu-architecture, --dpkg-architecture options
  * virt-qemu: Load virtio_console in initramfs to make sure it's ready
    when systemd-getty-generator(8) looks for it (workaround for #689962)
  * virt-qemu: Improve reliability of interactions with serial console shell
  * build-qemu: Automatically run under fakemachine if not uid 0
  * build-qemu: Convert image into an absolute path.
    This helps when we're sharing directories as "volumes" with fakemachine.
    The working directory inside fakemachine isn't necessarily the same as
    the working directory outside, leading to the output image being
    written somewhere unintended.
  * build-qemu: Show the log from vmdb2 if it fails
  * build-qemu: Placate pycodestyle
  * build-qemu: Never set http_proxy to DIRECT.
    The special keyword DIRECT is understood by apt, but not by generic
    http clients, and in particular not understood by wget (used by
    debootstrap).
  * Use `command -v` in preference to `which`.
    In Debian, which(1) is provided by the Essential debianutils package,
    which recently deprecated it. Silence the resulting warnings by doing
    this in a slightly less obvious way.

  [ Simon McVittie, Ryutaroh Matsumoto ]
  * setup-testbed: Try to put Linux console on both ttyS0 and hvc0.
    ttyS0 is PC-specific, hvc0 is a generic hypervisor console available
    on multiple hypervisors.
  * setup-testbed: Put root shells on both ttyS1 and hvc1 if they exist.
    ttyS1 is PC-specific, hvc1 is a generic hypervisor console available
    on multiple hypervisors.
  * virt-qemu: Only -enable-kvm if VM is compatible with host architecture
  * virt-qemu: Add --boot=efi (formerly --efi)
  * build-qemu: Add --boot=efi to build images bootable with EFI.
    This requires vmdb2 0.22-1~ or newer.
  * qemu: armhf and aarch64 support (Closes: #973038, #973663)
    - Boot with EFI by default
    - Build images with EFI by default (Closes: #990415)
    - Use ttyAMA0 as the ARM equivalent of ttyS0
    - Default to -machine virt, since there is no default in qemu
    - Default to qemu-system-aarch64 -cpu host,aarch64=off -enable-kvm
      for armhf on aarch64 host, because qemu-system-arm -enable-kvm is
      not available on aarch64 hosts
    - Default to -cpu host -enable-kvm for aarch64 on aarch64 host
    - Default to -cpu cortex-a53 for aarch64 on non-aarch64 host
      since that CPU seems to work well
    Thanks to Christian Kastner, Peter Maydell and Steve McIntyre.

  [ Simon McVittie, Thierry Fauck, Ryutaroh Matsumoto ]
  * qemu: ppc64el support (Closes: #926945)
    - Install grub-ieee1275 by default
    - Avoid trying to allocate hvc0 as a virtio console.
      The default serial port of a pSeries machine appears as /dev/hvc0,
      and the virtio consoles start from hvc1.
    Thanks to Christian Kastner

  [ Christian Kastner ]
  * qemu: Use -machine q35 on i386 or amd64 when booting with EFI.
    Empirically, it seems to be the minimum required for EFI-booting on
    i386; bump the machine on amd64 too, for consistency.

  [ Julian Andres Klode ]
  * setup-testbed: Remove needrestart so its dpkg hook does not interfere
    with the apt test suite
  * setup-testbed: Set Acquire::Retries 10, like debci does
  * setup-testbed: Always include phased updates

 -- Paul Gevers <elbrus@debian.org>  Mon, 04 Oct 2021 21:04:48 +0200

## autopkgtest 5.20

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,7 @@
 pythonfiles =	lib/VirtSubproc.py \
 		lib/adtlog.py \
 		lib/autopkgtest_args.py \
+		lib/autopkgtest_qemu.py \
 		lib/adt_testbed.py \
 		lib/adt_binaries.py \
 		lib/testdesc.py \

=== debian/changelog ===
autopkgtest (5.20) unstable; urgency=medium

  * Determine build-needed by parsing the control (Closes: #1002477)
  * Implement support for @recommends@ in test dependencies (Closes: #896698)
  * Update documentation
  * Convert `needs-recommends` to @recommends@ and drop all other code
    related to it

 -- Paul Gevers <elbrus@debian.org>  Thu, 24 Feb 2022 20:29:51 +0100

autopkgtest (5.19) unstable; urgency=medium

  [ Simon Chopin ]
  * buildvm-ubuntu-cloud: add a --ram-size option
  * buildvm-ubuntu-cloud: add support for non-x86 architectures

  [ Paul Gevers ]
  * autopkgtest-virt-lxc: cleanup if lxc-start fails after lxc-copy

  [ Athos Ribeiro ]
  * Force xz compression for satdep.deb

  [ Sergio Durigan Junior ]
  * Make sure we add a newline to the end of /etc/environment

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 07 Dec 2021 09:28:26 -0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: autopkgtest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
            Martin Pitt <mpitt@debian.org>,
            Antonio Terceiro <terceiro@debian.org>,
@@ -29,15 +28,17 @@
          python3-debian,
          ${misc:Depends}
 Recommends: autodep8
-Suggests: lxc,
+Suggests: fakemachine,
+          lxc,
           lxd,
           ovmf,
+          ovmf-ia32,
           qemu-efi-aarch64,
           qemu-efi-arm,
           qemu-system,
           qemu-utils,
           schroot,
-          vmdb2
+          vmdb2 (>= 0.22-1~)
 Breaks: debci (<< 1.7~)
 Description: automatic as-installed testing for Debian packages
  autopkgtest runs tests on binary packages.  The tests are run on the

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,9 @@
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	if type pyflakes3 >/dev/null 2>&1; then tests/pyflakes; else echo "pyflakes3 not available, skipping"; fi
+	tests/mypy
 	tests/pycodestyle || true
+	tests/shellcheck
 	tests/testdesc
 	tests/autopkgtest_args
 	env NO_PKG_MANGLE=1 tests/autopkgtest NullRunner

=== debian/tests/control ===
--- 
+++ 
@@ -17,4 +17,4 @@
          fakeroot,
          iptables,
          lxd
-Restrictions: isolation-machine, needs-root, allow-stderr, skip-not-installable
+Restrictions: isolation-machine, needs-root, allow-stderr, skip-not-installable,  skippable

=== tests/testpkg-simple/debian/tests/control ===
Tests: p
Depends:
Restrictions:

## autopkgtest 5.25ubuntu1

=== Makefile ===
--- 
+++ 
@@ -35,15 +35,18 @@
 INSTALL_DATA =	$(INSTALL) -m 0644
 
 virts =		chroot \
+		docker \
 		lxc \
 		lxd \
 		null \
 		qemu \
 		schroot \
 		ssh \
+		unshare \
 		$(NULL)
 
 programs =	tools/autopkgtest-buildvm-ubuntu-cloud \
+		tools/autopkgtest-build-docker \
 		tools/autopkgtest-build-lxc \
 		tools/autopkgtest-build-lxd \
 		tools/autopkgtest-build-qemu \
@@ -80,9 +83,15 @@
 	$(INSTALL_DATA) $(pythonfiles) $(pythondir)
 	$(INSTALL_DATA) CREDITS $(docdir)
 	$(INSTALL_DATA) $(rstfiles) $(htmlfiles) $(docdir)
+	$(INSTALL_PROG) lib/await-boot $(datadir)/lib/
+	$(INSTALL_PROG) lib/unshare-helper $(datadir)/lib/
 	$(INSTALL_PROG) setup-commands/*[!~] $(datadir)/setup-commands
 	$(INSTALL_PROG) ssh-setup/[a-z]*[!~] $(datadir)/ssh-setup
 	$(INSTALL_DATA) ssh-setup/SKELETON $(datadir)/ssh-setup
+	ln -fns autopkgtest-virt-docker $(bindir)/autopkgtest-virt-podman
+	ln -fns autopkgtest-virt-docker.1 $(man1dir)/autopkgtest-virt-podman.1
+	ln -fns autopkgtest-build-docker $(bindir)/autopkgtest-build-podman
+	ln -fns autopkgtest-build-docker.1 $(man1dir)/autopkgtest-build-podman.1
 
 clean:
 	rm -f */*.pyc

=== debian/changelog ===
autopkgtest (5.25ubuntu1) kinetic; urgency=medium

  * qemu: fix the ppc64le arch name in kvm_compatible().
    Upstream cherry-pick (93fd5ea9). (LP: #1988527)

 -- Paride Legovini <paride@ubuntu.com>  Wed, 07 Sep 2022 17:28:05 +0200

autopkgtest (5.25) unstable; urgency=medium

  [ Antonio Terceiro ]
  * tests/autopkgtest: Fix test failure if the user has per-user
    containers in ~/.local/share for both lxc and the podman ecosystem

  [ Simon McVittie ]
  * Improve reliability of waiting for lxc, lxd, podman containers to
    boot an init system (Closes: #1017753)
  * On non-amd64 architectures, skip a test that assumes i386 can be a
    foreign architecture
  * Clarify documentation for Restrictions:
    - isolation-container implies a service manager (init system) such as
      systemd or sysv-rc
    - isolation-container does not guarantee logind
    - isolation-machine provides the same things as isolation-container
    - needs-root is at least root in a container, but not always global root
    Thanks: Paride Legovini

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Aug 2022 09:49:01 +0100

autopkgtest (5.24) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Install unshare-helper, fixing virt-unshare regression in 5.23

  [ Antonio Terceiro ]
  * virt-lxc: fix handling of --sudo when waiting for testbed to boot
    (Closes: #1017017)

  [ David Kalnischkies ]
  * virt-unshare: Create mount point for --bind if necessary

  [ Simon McVittie ]
  * testdesc: Represent restrictions and features as sets
  * testdesc: Check restrictions vs. capabilities in a data-driven way
  * build-docker(1): Fix an invalid groff macro (thanks, Lintian)
  * ssh-setup/maas: Silence a Lintian false positive
  * Test coverage for regressions in 5.23:
    - Test virt-unshare as an autopkgtest to exercise "as-installed" use
    - Test virt-lxc as an ordinary user, to detect regressions like #1017017
    - Test virt-unshare --bind
  * Test reliability:
    - Use testing in preference to unstable to avoid transient failures
      during transitions
  * Packaging updates:
    - Update syntax of Lintian overrides
    - Add myself to Uploaders
    - Standards-Version: 4.6.1 (no changes required)
    - d/tests: Correct SPDX license name

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Aug 2022 09:39:40 +0100

autopkgtest (5.23) unstable; urgency=medium

  [ Iñaki Malerba, Chris Kuehl, Felipe Sateler, Simon McVittie ]
  * Add support for docker.io virtualization (Closes: #747909)

  [ Simon McVittie ]
  * virt-docker, build-docker: Allow running as virt-podman, build-podman
  * virt-podman, build-podman: Add --init option.
    Docker is designed to be used for "app containers", which are like a
    better-isolated chroot. Podman can be used like this, but can also be
    used to run traditional full-system containers in the same way as lxc
    and lxd, and in particular it has special support for running systemd
    as the container's init system.
    When we're running a service manager like systemd, sysv-rc or openrc,
    we can provide the isolation-container capability.
  * autopkgtest: Make --test-name repeatable (Closes: #1015921)
  * build-podman, build-qemu: Optionally swap or force the init system:
    systemd (+ logind), sysv-rc (+ elogind) or openrc (+ elogind).
    For qemu, the default is what debootstrap provides, usually systemd.
    For podman, the default is no init system at all.
  * Automatically create an unprivileged user to run tests if the testbed
    is expendable.
    This avoids needing to create an unprivileged user when building
    container and VM images, which build-lxc and build-podman don't do.
    (Closes: #1011202)
  * Load setup commands from the source tree if running uninstalled
  * Don't recurse or crash if auxverb_debug_fail fails
  * virt-lxc, virt-lxd: Factor out code to wait for container to boot.
    virt-lxc, virt-lxd and podman --init all want to do the same thing.
  * virt-unshare: Factor out unshare-helper into a shell script
  * Improve setup-testbed script:
    - Stop installing gpg.
      We've been installing this since 2018, but it seems we haven't needed
      it since we switched from apt-key to [trusted=yes] in 2015.
    - Only install dbus, rng-tools if we have an init system
    - Only install libpam-systemd if systemd is installed
    - Only set up ifupdown if it's installed
    - If we overwrite sources.list, also empty sources.list.d
    - Don't crash if unable to read /etc/apt/sources.list
    - Have a separate proxy setting for setup-testbed itself
    - Don't use /usr/share/doc to check package status
    - Silence a new shellcheck warning
  * Add a test that asserts tests can access pseudo-terminals
  * Run more tests on Gitlab-CI and from autopkgtest:
    - autopkgtest-virt-docker (can run via docker:dind or in qemu)
    - autopkgtest-virt-lxc (can run under privileged Docker or qemu)
    - autopkgtest-virt-podman (can run under privileged Docker or in qemu)
    - autopkgtest-virt-podman --init (can run in qemu)
    - autopkgtest-virt-schroot (can run under privileged Docker, lxc or qemu)
  * Test fixes, particularly for running tests that require privileges:
    - Fix ChrootRunner failure with glibc 2.34
    - Make dependencies more complete
    - Skip test_apt_autodep8_with_control if autodep8 not installed
    - Speed up test_git_source_build
    - Update for perl autodep8 behaviour changes in bullseye
    - Test the installed autopkgtest runner so autopkgtest doesn't break
      its own specification
    - Don't run lint-style tests as an autopkgtest, notably pyflakes
    - Accept more variations of apt output
    - Fix build of mock test package if a second binary is added
    - Cope with schroot not always having AUTOPKGTEST_NORMAL_USER
    - Make test failures easier to debug
    - Tolerate output before first explicit setup command
    - Cope with XDG basedirs environment variables being set


=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: autopkgtest
-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
            Martin Pitt <mpitt@debian.org>,
            Antonio Terceiro <terceiro@debian.org>,
-           Paul Gevers <elbrus@debian.org>
+           Paul Gevers <elbrus@debian.org>,
+           Simon McVittie <smcv@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
+               fakeroot,
                procps,
                pycodestyle | pep8,
                pyflakes3,
@@ -27,17 +30,22 @@
          python3,
          python3-debian,
          ${misc:Depends}
-Recommends: autodep8
-Suggests: fakemachine,
-          lxc,
+Recommends: autodep8,
+            fakeroot,
+Suggests: docker.io,
+          fakemachine,
+          lxc (>= 1:4.0.2-1~),
           lxd,
           ovmf,
           ovmf-ia32,
+          python3-distro-info,
           qemu-efi-aarch64,
           qemu-efi-arm,
           qemu-system,
           qemu-utils,
+          podman,
           schroot,
+          util-linux (>= 2.38),
           vmdb2 (>= 0.22-1~)
 Breaks: debci (<< 1.7~)
 Description: automatic as-installed testing for Debian packages

=== debian/tests/control ===
Tests: autopkgtest
Depends: autodep8,
         autopkgtest,
         build-essential,
         debhelper (>= 13),
Restrictions: needs-root

Tests: installed
Depends: autopkgtest

Tests: docker
Depends: autodep8,
         autopkgtest,
         build-essential,
         ca-certificates,
         debhelper (>= 13),
         debootstrap,
         devscripts,
         docker.io,
         python3-distro-info,
         uidmap,
# breaks-testbed is not strictly true, but declaring breaks-testbed
# forces a new testbed to be used, which reduces the chance of running
# out of disk space
Restrictions: allow-stderr,
              breaks-testbed,
              isolation-machine,
              needs-internet,
              needs-root,
              skippable,

Tests: lxc
Depends: autodep8,
         autopkgtest,
         build-essential,
         ca-certificates,
         debhelper (>= 13),
         debootstrap,
         devscripts,
         distro-info,
         libpam-cgfs,
         lxc,
         lxcfs,
         lxc-templates,
         rsync,
         uidmap,
Restrictions: allow-stderr,
              breaks-testbed,
              isolation-machine,
              needs-internet,
              needs-root,
              skippable,

# TODO: Run this with needs-sudo instead of needs-root when available
# (#906424) to check that virt-lxc --sudo hasn't regressed
Tests: lxd
Depends: autopkgtest,
         build-essential,
         debhelper (>= 13),
         fakeroot,
         iptables,
         lxd
Restrictions: allow-stderr,
              isolation-machine,
              needs-root,
              skip-not-installable,
              skippable,

Tests: podman podman-init
Depends: autodep8,
         autopkgtest,
         build-essential,
         buildah,
         ca-certificates,
         catatonit | tini | dumb-init,
         debhelper (>= 13),
         debootstrap,
         devscripts,
         golang-github-containernetworking-plugin-dnsname,
         podman,
         python3-distro-info,
         slirp4netns,
         uidmap,
# breaks-testbed is not strictly true, but declaring breaks-testbed
# forces a new testbed to be used, which reduces the chance of running
# out of disk space
Restrictions: allow-stderr,
              breaks-testbed,
              isolation-machine,
              needs-internet,
              skippable,

Tests: schroot
Depends: autodep8,
         autopkgtest,
         build-essential,
         debhelper (>= 13),
         debootstrap,
         devscripts,
         fakeroot,
         sbuild,
         schroot,
Restrictions: allow-stderr,
              breaks-testbed,
              needs-internet,
              needs-root,
              skippable,

# breaks-testbed is not strictly true, but declaring breaks-testbed
# forces a new testbed to be used
Tests: unshare
Depends: autodep8,
         autopkgtest,
         build-essential,
         debhelper (>= 13),
         devscripts,
         mmdebstrap,
         uidmap,
         util-linux (>= 2.38),

## autopkgtest 5.26

=== debian/changelog ===
autopkgtest (5.26) unstable; urgency=medium

  [ Simon McVittie ]
  * Add a needs-sudo restriction.
    This can be used by packages like gvfs to run tests that need to be run
    as an ordinary user, but also require the ability to elevate privileges
    to do setup and/or teardown steps. (Closes: #906424)
  * Fix a long-standing race condition in test stdout/stderr reporting,
    which particularly affects the unshare backend (Closes: #1017974)
  * await-boot: Fix a regression in 5.25 which affected tests that
    reboot into a sysvinit environment, such as munin
  * Start factoring out shell code that runs in the testbed into scripts
    lib/in-testbed/*.sh, so that we can include comments, run lint checks
    and other useful QA things
  * testbed: Make reboot-request detection clearer by not relying on
    compensating errors
  * testbed, runner: Remove leftover bits of support for install-tmp mode,
    which was removed in 5.12
  * d/README.source: Document how to run snap lxd via sudo
  * doc: Sort restrictions and capabilities in alphabetical order
  * runner: Fix a pycodestyle warning
  * d/tests/lxd: Update to work with the version in Debian unstable
    - Add more test-dependencies
    - Modernize use of `lxd init`
    - Run as a user in the appropriate group
    - Use Debian testing instead of EOL Ubuntu 16.04 (Closes: #1016912)
  * d/tests/schroot: Ensure hostname resolves promptly
  * tests: Improve debug output for tests that reboot
  * tests: Avoid polluting stderr with diagnostic output
  * tests: Treat AUTOPKGTEST_TEST_INSTALLED= as uninstalled
  * tests: Make a test cope with custom arguments to virt backend
  * tests: Don't assert that there is no debug output from virt backend
  * tests: Get more debug info from SchrootRunner.test_foreign_arch_deps
  * tests: Get more debug info from DebTestsVirtContainer.test_timeout
  * tests: Get extra debug information from test_copy_timeout
  * tests: Skip test_timeout on lxd backend.
    This currently fails, which seems to be reliable, lxd-specific, and
    not a recent regression in autopkgtest. (Mitigates: #1020634)

  [ Paul Gevers ]
  * testbed: Fix creation of apt preferences for suites with a dot in
    the name

  [ Paride Legovini ]
  * qemu: Detect ppc64le host as able to run ppc64le qemu with KVM
    enabled (Closes: #1019189, LP: #1988527)

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Sep 2022 10:35:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: autopkgtest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CI team <team+ci@tracker.debian.org>
+Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
            Martin Pitt <mpitt@debian.org>,
            Antonio Terceiro <terceiro@debian.org>,

## autopkgtest 5.27

=== debian/changelog ===
autopkgtest (5.27) unstable; urgency=medium

  [ Julian Gilbey ]
  * Add timezone to initial informative line

  [ Johannes Schauer Marin Rodrigues ]
  * setup-commands/setup-testbed: support running in d-i

  [ Simon McVittie ]
  * setup-testbed: Remove /usr/sbin/policy-rc.d when setting up init
  * setup-testbed: Install procps along with sysv-rc or openrc

  [ Emanuele Rocca ]
  * qemu-system-aarch64: use read-only=on
  * Add zerofree to Suggests, needed by autopkgtest-build-qemu

  [ Paul Gevers ]
  * Improve Architecture field documentation
  * Retry lxc-copy and lxc-start if they fail
  * adt_testbed: fix logical error

 -- Paul Gevers <elbrus@debian.org>  Wed, 26 Oct 2022 22:11:34 +0200
